curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/me' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"user": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "owner@acme.com"
},
"organization": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Acme",
"status": "active"
},
"tenant": {
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"agent_count": 1
},
"onboarding": {
"has_payment_method": true,
"has_number": true
}
}
Customer Me
StateSet Voice API operation.
GET
/
api
/
v1
/
customer
/
me
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/me' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"user": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "owner@acme.com"
},
"organization": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Acme",
"status": "active"
},
"tenant": {
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"agent_count": 1
},
"onboarding": {
"has_payment_method": true,
"has_number": true
}
}
StateSet Voice API operation.
Response
object
boolean
required
object
required
object
required
object
required
Status codes
| Code | Meaning |
|---|---|
200 | Authenticated customer’s user, organization, tenant, and onboarding status |
401 | Missing or invalid customer session |
404 | Customer self-serve plane disabled |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/customer/me' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"user": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "owner@acme.com"
},
"organization": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Acme",
"status": "active"
},
"tenant": {
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"agent_count": 1
},
"onboarding": {
"has_payment_method": true,
"has_number": true
}
}
Last modified on August 31, 2026